# BSTNodeNested | data-structure-typed
Documentation for data-structure-typed

# Type alias BSTNodeNested<T>

BSTNodeNested<T>: BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, BSTNode <T, any>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

#### Type Parameters

- #### T

- Defined in src/types/data-structures/bst.ts:8

Generated using TypeDoc